<?php
$sale_title_typo                = isset( $template_options['sale_title_typo'] ) ? $template_options['sale_title_typo'] : '';
$sale_title_font_family        = ! empty( $sale_title_typo['font-family'] ) ? $sale_title_typo['font-family'] : 'Poppins';
$sale_title_font_weight        = ! empty( $sale_title_typo['font-weight'] ) ? $sale_title_typo['font-weight'] : 'bold';
$sale_title_font_style         = ! empty( $sale_title_typo['font-style'] ) ? $sale_title_typo['font-style'] : 'normal';
$sale_title_text_transform     = ! empty( $sale_title_typo['text-transform'] ) ? $sale_title_typo['text-transform'] : 'none';
$sale_title_font_size          = ! empty( $sale_title_typo['font-size'] ) ? $sale_title_typo['font-size'] : '38';
$sale_title_line_height        = ! empty( $sale_title_typo['line-height'] ) ? $sale_title_typo['line-height'] : '38';
$sale_title_tablet_font_size   = ! empty( $sale_title_typo['tablet-font-size'] ) ? $sale_title_typo['tablet-font-size'] : '32';
$sale_title_tablet_line_height = ! empty( $sale_title_typo['tablet-line-height'] ) ? $sale_title_typo['tablet-line-height'] : '38';
$sale_title_mobile_font_size   = ! empty( $sale_title_typo['mobile-font-size'] ) ? $sale_title_typo['mobile-font-size'] : '28';
$sale_title_mobile_line_height = ! empty( $sale_title_typo['mobile-line-height'] ) ? $sale_title_typo['mobile-line-height'] : '38';
$sale_title_color              = ! empty( $sale_title_typo['color'] ) ? $sale_title_typo['color'] : '';
?>
<div class="dfs__subtitle"
	style="
	--sale_title_font_family: <?php echo esc_attr( $sale_title_font_family ); ?>;
	--sale_title_font_weight: <?php echo esc_attr( $sale_title_font_weight ); ?>;
	--sale_title_font_style: <?php echo esc_attr( $sale_title_font_style ); ?>;
	--sale_title_text_transform: <?php echo esc_attr( $sale_title_text_transform ); ?>;
	--sale_title_font_size: <?php echo esc_attr( $sale_title_font_size . 'px' ); ?>;
	--sale_title_line_height: <?php echo esc_attr( $sale_title_line_height . 'px' ); ?>;
	--sale_title_tablet_font_size: <?php echo esc_attr( $sale_title_tablet_font_size . 'px' ); ?>;
	--sale_title_tablet_line_height: <?php echo esc_attr( $sale_title_tablet_line_height . 'px' ); ?>;
	--sale_title_mobile_font_size: <?php echo esc_attr( $sale_title_mobile_font_size . 'px' ); ?>;
	--sale_title_mobile_line_height: <?php echo esc_attr( $sale_title_mobile_line_height . 'px' ); ?>;
	--sale_title_color: <?php echo esc_attr( $sale_title_color ); ?>; 
">
	<div><?php echo esc_attr( $dfs_saleTitle ); ?></div>
</div>
